Subject: [os2genau_digest] No. 748
From: Digest <deadmail>
To: "OS/2GenAu Digest"<deadmail>
Date: Sun, 14 Dec 2003 00:04:02 EST-10EDT,10,-1,0,7200,3,-1,0,7200,3600

**************************************************
Saturday 13 December 2003
 Number  748
**************************************************

Subjects for today
 
1  Re:  Java 1.42 : Alan Duval" <amoht at ozemail dot com dot au>

**= Email   1 ==========================**

Date:  Sat, 13 Dec 2003 22:43:22 +1100 (AEDT)
From:  "Alan Duval" <amoht at ozemail dot com dot au>
Subject:  Re:  Java 1.42

On Fri, 12 Dec 2003 20:03:42 +1100, Ed Durrant wrote:

>I have installed this version of JAVA and am using it. NO path statements are required in config.sys as long 
as
>you refer to the correct directory when running JAVAW.EXE. What is needed in config.sys however is the 
following
>line:
>
>SET JAVA2_USERHOME=c:\java142\bin
>
>Which the install procedure should have installed.

It wasn't installed so I put the line in config.sys 

I have also followed the following instructions:

3.1 Java Plug-In Installation
In order to install support for the Java
Plug-In in Mozilla for OS/2 or IBM Web Browser
for OS/2, copy the following files from the
JRE bin directory to the plugins directory of
the browser:

- npj2.dll
- npj2_j11.dll
- npj2_j12.dll
- npj2_j13.dll
- npj2_j14.dll
- npj2_j32.dll
- npj2_jpi.dll

3.2 Java Web Start Browser Configuration
In order to integrate Java Web Start with your browser,
you have to register it as a helper application. Due to
the various browser products and versions available on
OS/2, this is not done automatically during installation.

In the browser settings, open the helper application
settings and define a new type. Use the following
values to define the entry:

Description of type: Java Web Start
File Extension: jnl jnlp
MIME type: application/x-java-jnlp-file
Application to use: <installdir>\jre\javaws\javaws.exe

Note that when installing the JRE, javaws.exe will
be located at <installdir>\javaws\javaws.exe.

However when I try to start Mozilla, the initial screen with start button appears momentarily and then vanishes 
and so Mozilla cannot be started.
If I remove the 7 files from Mozilla Plugins I can start Mozilla.

Any ideas what I should do?

Alan

----------------------------------------------------------------------------------